mav_SMSCallbackExecFnSet(3)

NAME
mav_SMSCallbackExecFnSet - Set/execute SMS callback function.

LEVEL
Maverik Level 3

SYNTAX
void mav_SMSCallbackExecFnSet(MAV_SMSClass *sc, MAV_SMSCallbackExecFnFn fn);

int mav_SMSCallbackExecFnExec(MAV_SMS *s, MAV_drawInfo *di, MAV_SMSExecFn *fn);

DESCRIPTION
mav_SMSCallbackExecFnSet sets a callback function which upon execution uses drawing information di to determine for each object in the SMS whether it should be processed further by the function defined in fn. Normally this will be a drawing function and the di would include the clip planes associated with a given view.

An example of a non-drawing use of fn might be to count the number of objects occupying an arbitrary volume of space. Here, di would be set to the clip planes defining the volume (and the view information would not be used).